// Code generated by MockGen. DO NOT EDIT.
// Source: module/courier/service/courier.go

// Package mock_service is a generated GoMock package.
package mock_service

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	models "gitlab.com/timofeev.pavel.art/go-geotask/module/courier/models"
)

// MockCourierer is a mock of Courierer interface.
type MockCourierer struct {
	ctrl     *gomock.Controller
	recorder *MockCouriererMockRecorder
}

// MockCouriererMockRecorder is the mock recorder for MockCourierer.
type MockCouriererMockRecorder struct {
	mock *MockCourierer
}

// NewMockCourierer creates a new mock instance.
func NewMockCourierer(ctrl *gomock.Controller) *MockCourierer {
	mock := &MockCourierer{ctrl: ctrl}
	mock.recorder = &MockCouriererMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockCourierer) EXPECT() *MockCouriererMockRecorder {
	return m.recorder
}

// GetCourier mocks base method.
func (m *MockCourierer) GetCourier(ctx context.Context) (*models.Courier, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetCourier", ctx)
	ret0, _ := ret[0].(*models.Courier)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetCourier indicates an expected call of GetCourier.
func (mr *MockCouriererMockRecorder) GetCourier(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetCourier", reflect.TypeOf((*MockCourierer)(nil).GetCourier), ctx)
}

// MoveCourier mocks base method.
func (m *MockCourierer) MoveCourier(courier models.Courier, direction, zoom int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "MoveCourier", courier, direction, zoom)
	ret0, _ := ret[0].(error)
	return ret0
}

// MoveCourier indicates an expected call of MoveCourier.
func (mr *MockCouriererMockRecorder) MoveCourier(courier, direction, zoom interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "MoveCourier", reflect.TypeOf((*MockCourierer)(nil).MoveCourier), courier, direction, zoom)
}

// UpdateCourier mocks base method.
func (m *MockCourierer) UpdateCourier(ctx context.Context) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateCourier", ctx)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateCourier indicates an expected call of UpdateCourier.
func (mr *MockCouriererMockRecorder) UpdateCourier(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateCourier", reflect.TypeOf((*MockCourierer)(nil).UpdateCourier), ctx)
}
